Bug 427765 - Ooops Process hald-addon-acpi
Ooops Process hald-addon-acpi
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-07 08:48 EST by Zdenek Kabelac
Modified: 2008-04-27 00:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-27 00:20:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-01-07 08:48:39 EST
Description of problem:

Bad page state in process 'hald-addon-acpi'
page:ffffe200000227a0 flags:0x0000000000000400 mapping:0000000000000000
mapcount:0 count:0 (Not tainted)
Trying to fix it up, but a reboot is needed
Backtrace:
Pid: 2742, comm: hald-addon-acpi Not tainted 2.6.24-0.136.rc6.git12.fc9 #1

Call Trace:
 [<ffffffff81054731>] lock_release_holdtime+0x27/0x49
 [<ffffffff8107fa96>] bad_page+0x70/0x9c
 [<ffffffff810565ce>] trace_hardirqs_on+0x107/0x12a
 [<ffffffff81080858>] free_hot_cold_page+0x91/0x191
 [<ffffffff8116b5aa>] acpi_bus_receive_event+0xf5/0x11b
 [<ffffffff81030003>] default_wake_function+0x0/0xe
 [<ffffffff81176255>] acpi_system_read_event+0x53/0xe6
 [<ffffffff81176202>] acpi_system_read_event+0x0/0xe6
 [<ffffffff81176202>] acpi_system_read_event+0x0/0xe6
 [<ffffffff810decba>] proc_reg_read+0x80/0x9a
 [<ffffffff810a64df>] vfs_read+0xc3/0x16b
 [<ffffffff810a68c2>] sys_read+0x45/0x6e
 [<ffffffff8100c07a>] tracesys+0xdc/0xe1

Unable to handle kernel paging request at 0000000000100108 RIP: 
 [<ffffffff8112e38c>] list_del+0x4/0x5b
PGD 6f009067 PUD 6f008067 PMD 0 
Oops: 0000 [1] SMP 
CPU 1 
Modules linked in: ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 xt_state
nf_conntrack ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tables bridge nfsd
lockd nfs_acl auth_rpcgss exportfs autofs4 sunrpc cpufreq_ondemand acpi_cpufreq
dm_mirror dm_multipath dm_mod ipv6 uinput snd_hda_intel snd_seq_dummy
snd_seq_oss snd_seq_midi_event snd_seq arc4 snd_seq_device snd_pcm_oss ecb
blkcipher mmc_block snd_mixer_oss snd_pcm snd_timer thinkpad_acpi snd_page_alloc
hwmon snd_hwdep iwl3945 sdhci pcspkr mmc_core firewire_ohci firewire_core joydev
i2c_i801 i2c_core rtc_cmos snd mac80211 i915 iTCO_wdt crc_itu_t
iTCO_vendor_support ricoh_mmc drm hci_usb cfg80211 e1000 soundcore bluetooth
sr_mod battery ac power_supply video cdrom output sg button ata_piix ahci libata
sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
Pid: 2742, comm: hald-addon-acpi Tainted: G    B   2.6.24-0.136.rc6.git12.fc9 #1
RIP: 0010:[<ffffffff8112e38c>]  [<ffffffff8112e38c>] list_del+0x4/0x5b
RSP: 0018:ffff81006f001e08  EFLAGS: 00010092
RAX: 0000000000000207 RBX: 0000000000100100 RCX: 0000000000000000
RDX: 0000000000000001 RSI: 0000000000000000 RDI: 0000000000100100
RBP: 0000000000000207 R08: 0000000000000002 R09: 0000000000000001
R10: ffffffff8116b56e R11: ffffffff810ff1ab R12: ffff81006f001e68
R13: 00002aaaaaaca000 R14: ffff81006f001f50 R15: 0000000000000400
FS:  00002aaaab028aa0(0000) GS:ffff81007e001578(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000100108 CR3: 000000006ffc1000 CR4: 00000000000006a0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process hald-addon-acpi (pid: 2742, threadinfo ffff81006f000000, task
ffff81006fc5c000)
Stack:  ffff81006f001e68 ffffffff8116b585 0000000000000000 ffff81006fc5c000
 ffffffff81030003 0000000000000000 0000000000000000 0000000000000002
 fffffffffffffffb 0000000000000400 ffff81006f001f50 ffffffff81176255
Call Trace:
 [<ffffffff8116b585>] acpi_bus_receive_event+0xd0/0x11b
 [<ffffffff81030003>] default_wake_function+0x0/0xe
 [<ffffffff81176255>] acpi_system_read_event+0x53/0xe6
 [<ffffffff81176202>] acpi_system_read_event+0x0/0xe6
 [<ffffffff81176202>] acpi_system_read_event+0x0/0xe6
 [<ffffffff810decba>] proc_reg_read+0x80/0x9a
 [<ffffffff810a64df>] vfs_read+0xc3/0x16b
 [<ffffffff810a68c2>] sys_read+0x45/0x6e
 [<ffffffff8100c07a>] tracesys+0xdc/0xe1


Code: 48 8b 4f 08 48 89 fe 48 8b 11 48 39 fa 74 12 48 c7 c7 9e 3a 
RIP  [<ffffffff8112e38c>] list_del+0x4/0x5b
 RSP <ffff81006f001e08>
CR2: 0000000000100108
---[ end trace a50a3e92dc434630 ]---
BUG: sleeping function called from invalid context at kernel/rwsem.c:21
in_atomic():0, irqs_disabled():1
INFO: lockdep is turned off.
irq event stamp: 680129
hardirqs last  enabled at (680129): [<ffffffff81033035>] cpu_clock+0x61/0x70
hardirqs last disabled at (680128): [<ffffffff81032ff6>] cpu_clock+0x22/0x70
softirqs last  enabled at (680110): [<ffffffff8100d0fc>] call_softirq+0x1c/0x28
softirqs last disabled at (680103): [<ffffffff8100d0fc>] call_softirq+0x1c/0x28
Pid: 2742, comm: hald-addon-acpi Tainted: G    B D 2.6.24-0.136.rc6.git12.fc9 #1

Call Trace:
 [<ffffffff8102f5fc>] __might_sleep+0xd5/0xdd
 [<ffffffff8126f832>] down_read+0x1e/0x6c
 [<ffffffff810652df>] acct_collect+0x42/0x18f
 [<ffffffff8103b008>] do_exit+0x200/0x7e6
 [<ffffffff81272cc3>] do_page_fault+0x5e3/0x6b1
 [<ffffffff81075963>] get_timestamp+0x9/0xf
 [<ffffffff8105d050>] __module_text_address+0x20/0x68
 [<ffffffff81270ecd>] error_exit+0x0/0xa9
 [<ffffffff810ff1ab>] dummy_file_permission+0x0/0x3
 [<ffffffff8116b56e>] acpi_bus_receive_event+0xb9/0x11b
 [<ffffffff8112e38c>] list_del+0x4/0x5b
 [<ffffffff8116b585>] acpi_bus_receive_event+0xd0/0x11b
 [<ffffffff81030003>] default_wake_function+0x0/0xe
 [<ffffffff81176255>] acpi_system_read_event+0x53/0xe6
 [<ffffffff81176202>] acpi_system_read_event+0x0/0xe6
 [<ffffffff81176202>] acpi_system_read_event+0x0/0xe6
 [<ffffffff810decba>] proc_reg_read+0x80/0x9a
 [<ffffffff810a64df>] vfs_read+0xc3/0x16b
 [<ffffffff810a68c2>] sys_read+0x45/0x6e
 [<ffffffff8100c07a>] tracesys+0xdc/0xe1

Version-Release number of selected component (if applicable):
2.6.24-0.136.rc6.git12.fc9


How reproducible:
Actually I've noticed this bug in the message log after reboot while looking for
some other problems... so I've no idea...

Steps to Reproduce:
1. hmm - running kernel it for some time...
   maybe this happened during the execution of: rmmod pcpskr
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Zdenek Kabelac 2008-04-25 05:07:40 EDT
This bug is probably already fixed and doesn't appear in 2.6.25 kernels and
should be closed.

Note You need to log in before you can comment on or make changes to this bug.